@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;600&display=swap');

/* general */

:root {
    --red: hsl(0, 78%, 62%);
    --cyan: hsl(180, 62%, 55%);
    --orange: hsl(34, 97%, 64%);
    --blue: hsl(212, 86%, 64%);
    --VeryDarkBlue: hsl(234, 12%, 34%);
    --GrayishBlue: hsl(229, 6%, 66%);
    --VeryLightGray: hsl(0, 0%, 98%);
}

* {
    box-sizing: border-box;
}

body {
    font-family: 'Poppins', sans-serif;
    background-color: var(--VeryLightGray);
}

main {
    text-align: center;
}

section {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

/* text */

h1 {
    padding: 0px;
    margin: 0px;
    font-weight: 600;
}

h2 {
    margin-bottom: 1rem;
    padding: 0px;
    font-weight: 200;
    color: var(--GrayishBlue);
    font-size: 3rem;
}

h3 {
    padding: 0px;
    margin: 0px;
    font-size: 1.5em;
    text-align: left;
}

p {
    margin-bottom: 10vh;
    opacity: 0.5;
    color: var(--GrayishBlue);
}

article>p {
    opacity: 0.5;
    font-weight: 200;
    margin-bottom: 30px;
    text-align: left;
}


/* card */

article {
    box-shadow: 2px 2px 10px 2px rgb(128, 127, 127);
    display: flex;
    flex-direction: column;
    width: 30vw;
    height: 40vh;
}

.card {
    margin: 10px;
    padding: 30px;

}

.supervisor {
    border-top: 5px solid green;
    margin-top: 20vh;
}

.teamBuilder {
    border-top: 5px solid blue;
    margin-bottom: -20vh;
}

.calculator {
    border-top: 5px solid orange;
    margin-top: 20vh;
}

.karma {
    border-top: 5px solid red;
    margin-top: -15vh;
}

/* image */
.icon {
    align-self: flex-end;
}

/* mobile mode */

@media screen and (max-width:860px) {

    body {
        margin: 0px;
        padding: 30px;
    }

    section {
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    h2 {
        font-size: 1.7rem;
    }

    .supervisor,
    .teamBuilder,
    .karma,
    .calculator {
        width: 100%;
        margin: 0px 0px 20px 0px;

    }
}